#Ro16a.py 

from ev3robot import *
from time import sleep

html = """
<!DOCTYPE html>
<html>
  <head> 
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <head>
  <body> 
  <h2>WebRobot</h2> 
     <p>Press to change the state:</p>
     <p><a href="on">Light ON</a></p>
     <p><a href="off">Light OFF</a></p>
  </body> 
</html>
"""

def onRequest(clientIP, state, params):
    if state == "/on":
        robot.setLED(2)
    elif state == "/off":
        robot.setLED(0)
    return html

robot = LegoRobot()
server = HTTPServer(requestHandler = onRequest, port = 81)

while not robot.isEscapeHit():
    sleep(1)  
server.terminate()
robot.exit()