# Koch.py

from gturtle import *

def koch(s, n):
    if n == 0:
        forward(s)
        return
    koch(s / 3, n - 1)
    left(45)
    koch(s / 3, n - 1)
    right(90)
    koch(s / 3, n - 1)
    left(45)
    koch(s / 3, n - 1)

makeTurtle()
hideTurtle()
setPos( -180, 0)
right(90)
koch(200, 4)

